Get Organization
curl --request GET \
--url https://allomia.com/api/organization/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://allomia.com/api/organization/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://allomia.com/api/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentOrg": {
"id": "<string>",
"tenantId": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"ownerId": "<string>",
"address": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"timezone": "<string>",
"isActive": true,
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
},
"userOrgs": [
{
"id": "<string>",
"tenantId": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"ownerId": "<string>",
"address": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>",
"timezone": "<string>",
"isActive": true,
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
]
}Organizations (Tenant Only)
Get Organization
Retrieves a specific organization by ID
GET
/
api
/
organization
/
{id}
Get Organization
Get Organization
Retrieves a specific organization by ID. This endpoint requires a valid tenant API key for authentication.Headers
string
required
API key is required. Enter your tenant-specific API key in the format ‘Bearer
YOUR-API-KEY’
Path Parameters
string
required
The unique identifier of the organization to retrieve
Response
object
The requested organization details
Show Organization properties
Show Organization properties
string
The unique identifier for the organization
string
The tenant ID that the organization belongs to
string
The name of the organization
string
The email address for the organization
string
The organization’s image/logo URL (if set)
string
The unique identifier of the organization owner
string
The street address of the organization
string
The city where the organization is located
string
The state or province where the organization is located
string
The postal code or ZIP code for the organization
string
The country where the organization is located
string
The contact phone number for the organization
string
The timezone for the organization
boolean
Whether the organization is active
string
The ID of the user who created the organization
string
The ID of the user who last modified the organization
string
The timestamp when the organization was created (ISO 8601 format: “2025-06-01T12:34:56Z”)
string
The timestamp when the organization was last updated (ISO 8601 format: “2025-06-01T12:34:56Z”)
string
The timestamp when the organization was deleted (if soft deleted)
array
Array of organizations the authenticated user has access to
Show Organization properties
Show Organization properties
string
The unique identifier for the organization
string
The tenant ID that the organization belongs to
string
The name of the organization
string
The email address for the organization
string
The organization’s image/logo URL (if set)
string
The unique identifier of the organization owner
string
The street address of the organization
string
The city where the organization is located
string
The state or province where the organization is located
string
The postal code or ZIP code for the organization
string
The country where the organization is located
string
The contact phone number for the organization
string
The timezone for the organization
boolean
Whether the organization is active
string
The ID of the user who created the organization
string
The ID of the user who last modified the organization
string
The timestamp when the organization was created (ISO 8601 format: “2025-06-01T12:34:56Z”)
string
The timestamp when the organization was last updated (ISO 8601 format: “2025-06-01T12:34:56Z”)
string
The timestamp when the organization was deleted (if soft deleted)
Example Request
curl -X GET https://allomia.com/api/organization/a1b2c3d4-e5f6-7890-abcd-123456789012 \
-H "Authorization: Bearer YOUR-API-KEY"
Example Response
{
"currentOrg": {
"id": "a1b2c3d4-e5f6-7890-abcd-123456789012",
"tenantId": "tenant_123",
"name": "Valley Health Clinic",
"email": "info@valleyhealthclinic.com",
"image": null,
"ownerId": "b2c3d4e5-f6a7-8901-bcde-234567890123",
"address": "123 Main Street",
"city": "San Francisco",
"stateProvince": "CA",
"postalCode": "94105",
"country": "USA",
"phoneNumber": "+14155551234",
"timezone": "America/Los_Angeles",
"isActive": true,
"createdBy": "b2c3d4e5-f6a7-8901-bcde-234567890123",
"lastModifiedBy": "c3d4e5f6-a7b8-9012-cdef-345678901234",
"createdAt": "2025-06-23T18:15:10.685Z",
"updatedAt": "2025-06-23T18:15:10.685Z",
"deletedAt": null
},
"userOrgs": [
{
"id": "d4e5f6a7-b8c9-0123-defa-456789012345",
"tenantId": "tenant_123",
"name": "Mountain Health Partners",
"email": "contact@mountainhealth.org",
"image": null,
"ownerId": "e5f6a7b8-c9d0-1234-efab-567890123456",
"address": "456 Oak Avenue",
"city": "Denver",
"stateProvince": "CO",
"postalCode": "80202",
"country": "USA",
"phoneNumber": "+13035557890",
"timezone": "America/Denver",
"isActive": true,
"createdBy": "e5f6a7b8-c9d0-1234-efab-567890123456",
"lastModifiedBy": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"createdAt": "2025-04-24T18:54:08.365Z",
"updatedAt": "2025-05-15T09:22:33.142Z",
"deletedAt": null
}
]
}
⌘I